Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Enumerations
control.h File Reference
`#include "params.h"`
`#include "ocrblock.h"`
`#include "ratngs.h"`
`#include "statistc.h"`
`#include "pageres.h"`
`#include "notdll.h"`

Go to the source code of this file.

## Enumerations

enum | ACCEPTABLE_WERD_TYPE { AC_UNACCEPTABLE, AC_LOWER_CASE, AC_UPPER_CASE, AC_INITIAL_CAP, AC_LC_ABBREV, AC_UC_ABBREV }

## Detailed Description

Module-independent matcher controller.

Definition in file control.h.

## Enumeration Type Documentation

enum ACCEPTABLE_WERD_TYPE

Enumerator:

  AC_UNACCEPTABLE | Unacceptable word.
  AC_LOWER_CASE | ALL lower case.
  AC_UPPER_CASE | ALL upper case.
  AC_INITIAL_CAP | ALL but initial lc.
  AC_LC_ABBREV | a.b.c.
  AC_UC_ABBREV | A.B.C.

Definition at line 35 of file control.h.

{
AC_UNACCEPTABLE,
AC_LOWER_CASE,
AC_UPPER_CASE,
AC_INITIAL_CAP,
AC_LC_ABBREV,
AC_UC_ABBREV
};